# NOTE:
# - we could reuse gnome notification daemon if there is added xdg/autostart file with NotShowIn=GNOME:
#   http://git.gnome.org/browse/notification-daemon/commit/data?id=1ad20d22098bc7718614a8a87744a2c22d5438d0
#

Summary:	Notification daemon for MATE Desktop
Summary(pl.UTF-8):	Demon powiadomień dla środowiska MATE Desktop
Name:		mate-notification-daemon
Version:	1.20.2
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://pub.mate-desktop.org/releases/1.20/%{name}-%{version}.tar.xz
# Source0-md5:	1064bb17bec370a774c32fca99746547
URL:		http://wiki.mate-desktop.org/mate-notification-daemon
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	dbus-devel >= 0.78
BuildRequires:	dbus-glib-devel >= 0.78
BuildRequires:	desktop-file-utils
BuildRequires:	gdk-pixbuf2-devel >= 2.22.0
BuildRequires:	gettext-tools >= 0.11
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	intltool >= 0.50.1
BuildRequires:	libcanberra-devel
BuildRequires:	libcanberra-gtk3-devel >= 0.4
BuildRequires:	libnotify-devel
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libwnck-devel >= 3.0.0
BuildRequires:	mate-common
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires:	dbus >= 0.78
Requires:	dbus-glib >= 0.78
Requires:	gdk-pixbuf2 >= 2.22.0
Requires:	glib2 >= 1:2.50.0
Requires:	gsettings-desktop-schemas
Requires:	gtk+3 >= 3.22.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	libcanberra-gtk3 >= 0.4
Provides:	dbus(org.freedesktop.Notifications)
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if "%{_libexecdir}" == "%{_libdir}"
# NOTE: we must move %{_libexecdir}/mate-notification-daemon out of %{_libdir},
# because it conflicts with %{_libdir}/mate-notification-daemon plugin dir
# (unlike in mate-settings-daemon, we can use %{_libdir}/%{name} here - plugins exist in subdir)
%define		_libexecdir %{_libdir}/%{name}
%endif

%description
Notification daemon for MATE Desktop.

%description -l pl.UTF-8
Demon powiadomień dla środowiska MATE Desktop.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-icon-update \
	--disable-silent-rules \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/engines/lib*.la
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,kab,ku_IQ}

desktop-file-install \
	--remove-category="MATE" \
	--add-category="X-Mate" \
	--delete-original \
	--dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/mate-notification-properties.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/mate-notification-properties
%attr(755,root,root) %{_libexecdir}/mate-notification-daemon
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/engines
%attr(755,root,root) %{_libdir}/%{name}/engines/libcoco.so
%attr(755,root,root) %{_libdir}/%{name}/engines/libnodoka.so
%attr(755,root,root) %{_libdir}/%{name}/engines/libslider.so
%attr(755,root,root) %{_libdir}/%{name}/engines/libstandard.so
%{_datadir}/dbus-1/services/org.freedesktop.mate.Notifications.service
%{_datadir}/glib-2.0/schemas/org.mate.NotificationDaemon.gschema.xml
%{_datadir}/%{name}
%{_desktopdir}/mate-notification-properties.desktop
%{_iconsdir}/hicolor/*/apps/mate-notification-properties.*
%{_mandir}/man1/mate-notification-properties.1*
%changelog
* Fri Dec 21 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-notification-daemon.git;a=log;h=master

* Thu Dec 20 2018 Jan Palus <atler@pld-linux.org> 7acea8b
- up to 1.20.2

* Sun Dec 16 2018 Jakub Bogusz <qboosh@pld-linux.org> 725c680
- honour system _libexecdir setting

* Fri Jun 15 2018 Jan Palus <atler@pld-linux.org> 544672b
- up to 1.20.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> dc6a342
- up to 1.20.0

* Wed Oct 25 2017 Jan Palus <atler@pld-linux.org> 6b86e25
- up to 1.18.1

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> 0449579
- up to 1.18.0

* Wed Dec 14 2016 Jan Palus <atler@pld-linux.org> 12dda57
- up to 1.16.1

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> fa821c0
- up to 1.16.0

* Thu Jul 07 2016 Jan Palus <atler@pld-linux.org> 477de3f
- up to 1.14.1

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 1cb0200
- up to 1.14.0

* Mon Nov 30 2015 Jan Palus <atler@pld-linux.org> 36c9efc
- up to 1.12.1

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> 3039cc7
- up to 1.12.0

* Mon Oct 19 2015 Jan Palus <atler@pld-linux.org> dac6cec
- up to 1.10.2

* Mon Jul 27 2015 Elan Ruusamäe <glen@delfi.ee> ff7d62e
- 1.10.1

* Sat May 16 2015 Jakub Bogusz <qboosh@pld-linux.org> 1c4ee99
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sun Mar 29 2015 Jan Palus <atler@pld-linux.org> ea24167
- up to 1.8.2

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 5dbf1b1
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 6cd0564
- updated gettext BR

* Thu Oct 23 2014 Jan Palus <atler@pld-linux.org> 5ca3e97
- up to 1.8.1

* Tue Jul 08 2014 Jakub Bogusz <qboosh@pld-linux.org> de9bf76
- cmn locale is supported now
- choose proper libcanberra-gtk variant

